
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>TCP连接建立过程中为什么需要“三次握手”(转) / iVAN</title>

    <meta name="description" content="TCP连接建立过程中为什么需要“三次握手”(转) 传输控制协议(Transmission Control Protocol, TCP)是一种面向连接的.可靠的.基于字节流的运输层(Transport layer)通信协议.是专门为了在不可靠的互联网络上提供一个可靠的端到端字节流而设计的.互联网络与单个网络不同,因为互联网络的不同部分可能有着截然不同的拓扑.带宽.延迟.分组大小和其他参数.TCP的设计目标是能够动态的适应互联网络的这些特性,而且当面对多种失败的时候仍然能够健壮. 每一次TCP连接都需要三个阶段:连接建立.数据传送和连接释放.&qu ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">TCP连接建立过程中为什么需要“三次握手”(转)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>传输控制协议（Transmission Control Protocol, TCP）是一种面向连接的、可靠的、基于字节流的运输层（Transport layer）通信协议。是专门为了在不可靠的互联网络上提供一个可靠的端到端字节流而设计的。互联网络与单个网络不同，因为互联网络的不同部分可能有着截然不同的拓扑、带宽、延迟、分组大小和其他参数。TCP的设计目标是能够动态的适应互联网络的这些特性，而且当面对多种失败的时候仍然能够健壮。</p>
<p>每一次TCP连接都需要三个阶段：<br />连接建立、数据传送和连接释放。<br />“三次握手”就<strong>发生在连接建立阶段</strong>。</p>
<p>“三次握手”的具体过程网上有很多详解。可自行Google之。这里探讨的是——为什么需要“三次握手”。</p>
<p>我Google该问题答案后发现，网络上对于“三次握手”的过程都有很详细的描述，但对于为什么需要“三次握手”来建立连接却没有很好的答案。只能求助于书本了。</p>
<p>在谢希仁著《计算机网络》第四版中讲“三次握手”的目的是“为了防止已失效的连接请求报文段突然又传送到了服务端，因而产生错误”。在另一部经典的《计算机网络》一书中讲“三次握手”的目的是为了解决“网络中存在延迟的重复分组”的问题。这两种不用的表述其实阐明的是同一个问题。</p>
<p>谢希仁版《计算机网络》中的例子是这样的，“已失效的连接请求报文段”的产生在这样一种情况下：client发出的第一个连接请求报文段并没有丢失，而是在某个网络结点长时间的滞留了，以致延误到连接释放以后的某个时间才到达server。本来这是一个早已失效的报文段。但server收到此失效的连接请求报文段后，就误认为是client再次发出的一个新的连接请求。于是就向client发出确认报文段，同意建立连接。假设不采用“三次握手”，那么只要server发出确认，新的连接就建立了。由于现在client并没有发出建立连接的请求，因此不会理睬server的确认，也不会向server发送数据。但server却以为新的运输连接已经建立，并一直等待client发来数据。这样，server的很多资源就白白浪费掉了。采用“三次握手”的办法可以防止上述现象发生。例如刚才那种情况，client不会向server的确认发出确认。server由于收不到确认，就知道client并没有要求建立连接。”</p>
<p>这个例子很清晰的阐释了“三次握手”对于建立可靠连接的意义。</p>
<p>在Google Groups的TopLanguage中看到一帖讨论TCP“三次握手”觉得很有意思。贴主提出“<a href="https://groups.google.com/d/topic/pongba/kF6O7-MFxM0/discussion" rel="external nofollow noreferrer">TCP建立连接为什么是三次握手？</a>”的问题，在众多回复中，有<a href="https://groups.google.com/d/msg/pongba/kF6O7-MFxM0/5S7zIJ4yqKUJ" rel="external nofollow noreferrer">一条回复</a>写道：<br />“这个问题的本质是, 信道不可靠, 但是通信双发需要就某个问题达成一致. 而要解决这个问题,  无论你在消息中包含什么信息, 三次通信是理论上的最小值. 所以三次握手不是TCP本身的要求, 而是为了满足"<strong>在不可靠信道上可靠地传输信息</strong>"这一需求所导致的. 请注意这里的本质需求,信道不可靠, 数据传输要可靠. 三次达到了, 那后面你想接着握手也好, 发数据也好, 跟进行可靠信息传输的需求就没关系了. 因此,如果信道是可靠的, 即无论什么时候发出消息, 对方一定能收到, 或者你不关心是否要保证对方收到你的消息, 那就能像UDP那样直接发送消息就可以了.”。这可视为对“三次握手”目的的另一种解答思路。</p>
<p>http://www.cnblogs.com/TechZi/archive/2011/10/18/2216751.html</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 06:36:11</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/server/" title="server">server</a>, <a href="https://www.iamivan.net/tag/google/" title="google">google</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>TCP连接建立过程中为什么需要“三次握手”(转)的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkwv15p.html" rel="bookmark">TCP连接建立的三次握手过程可以携带数据吗？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前几天实验室的群里扔出了这样一个问题:TCP连接建立的三次握手过程可以携带数据吗?突然发现自己还真不清楚这个问题,平日里用tcpdump或者Wireshark抓包时,从来没留意过第三次握手的ACK包有没有数据.于是赶紧用nc配合tcpdump抓了几次包想检验一下.但是经过了多次实验,确实都发现第三次握手的包没有其它数据(后文解释).后来的探究中发现这个过程有问题,遂整理探究过程和结论汇成本文,以供后来者参考. 先来张三次握手的图(下面这张图来自网络,若侵犯了作者权利,请联系我删除): RFC79			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0QmV8p.html" rel="bookmark">结合Wireshark捕获分组深入理解TCP&sol;IP协议栈之TCP协议&lpar;TCP报文格式&plus;三次握手实例&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				摘要:     本文简单介绍了TCP面向连接理论知识,详细讲述了TCP报文各个字段含义,并从Wireshark俘获分组中选取TCP连接建立相关报文段进行分析.   一.概述     TCP是面向连接的可靠传输协议,两个进程互发数据之前需要建立连接,这里的连接只不过是端系统中分配的一些缓存和状态变量,中间的分组交换机不维护任何连接状态信息.连接建立整个过程如下(即三次握手协议): 首先,客户机发送一个特殊的TCP报文段: 其次,服务器用另一个特殊的TCP报文段来响应: 最后,客户机再用第三个特殊报			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyP265b.html" rel="bookmark">TCP连接建立与终止详解教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在开始介绍TCP连接之前,先来看看TCP数据包的首部,首部里面有很多重要的字段,在我们实现程序的时候需要进行设置. TCP的首部 在OSI七层模型中,上层的数据包都会作为下层数据包的数据部分(payload). 也就是说,当构造TCP数据包的时候,会把应用层的数据包作为TCP包的数据部分,然后加上TCP头构成TCP数据包:同样,当构造IP数据包的时候,整个TCP包就会被当作数据部分,然后加上IP头构成IP数据包. TCP头的数据格式如下,在不包括可选字段的情况下,一般TCP头会占用20个字节.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQYO3Kb.html" rel="bookmark">AES加解密在php接口请求过程中的应用示例&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在php请求接口的时候,我们经常需要考虑的一个问题就是数据的安全性,因为数据传输过程中很有可能会被用fillder这样的抓包工具进行截获.一种比较好的解决方案就是在客户端请求发起之前先对要请求的数据进行加密,服务端api接收到请求数据后再对数据进行解密处理,返回结果给客户端的时候也对要返回的数据进行加密,客户端接收到返回数据的时候再解密.因此整个api请求过程中数据的安全性有了一定程度的提高. 今天结合一个简单的demo给大家分享一下AES加解密技术在php接口请求中的应用. 首先,准备一个AE			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqVj6Gp.html" rel="bookmark">AES加解密在php接口请求过程中的应用示例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在php请求接口的时候,我们经常需要考虑的一个问题就是数据的安全性,因为数据传输过程中很有可能会被用fillder这样的抓包工具进行截获.一种比较好的解决方案就是在客户端请求发起之前先对要请求的数据进行加密,服务端api接收到请求数据后再对数据进行解密处理,返回结果给客户端的时候也对要返回的数据进行加密,客户端接收到返回数据的时候再解密.因此整个api请求过程中数据的安全性有了一定程度的提高. 今天结合一个简单的demo给大家分享一下AES加解密技术在php接口请求中的应用. 首先,准备一个AE			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4YBEYb.html" rel="bookmark">网络协议：简析三次握手协议</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				           一,简析三次握手协议               首先来看我们生活中很常见的一件事:                             在我们网购的时候,常常会跟客服这样聊天:我们向客服询问某件事,客服回答,然后我们断网了...过了一会儿,我们再登陆就收到了客服的回答.              这个交互的过程进行了三次才完成了一次应答,这个过程就类似我们采用TCP/IP协议访问服务器时的三次握手机制:                          第一次握手:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xpnxjWb.html" rel="bookmark">深入浅出TCP协议的三次握手过程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				TCP是主机对主机层的传输控制协议,提供可靠的连接服务,采用三次握手确认建立一个连接: 每一次TCP连接都需要三个阶段:连接建立.数据传送和连接释放.&quot;三次握手&quot;就发生在连接建立阶段. 1.三次握手(three times handshake) 所谓的&quot;三次握手&quot;即对每次发送的数据量跟踪进行协商使数据段的发送和接收同步,以及根据所接收到的数据量来确定数据发送.接收完毕后何时撤消联系,并建立虚连接. 第一次握手:主机A发送位码为syn＝1,随机产生seq number			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM12KKp.html" rel="bookmark">TCP中的三次握手和四次挥手</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.文章来由 三次握手只记得ack.ack+1这些零碎片段了~~~特此总结 二.总图 明显三次握手是建立连接,四次挥手是断开连接,总图如下: 三.握手 (1)首先,Client端发送连接请求报文(SYN=1,seq=client_isn) (2)Server段接受连接后回复ACK报文,并为这次连接分配资源.(SYN=1,seq=client_isn,ack = client_isn+1) (3)Client端接收到ACK报文后也向Server段发生ACK报文,并分配资源,这样TCP连接就建立了.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnYa3OM.html" rel="bookmark">TCP三次握手&amp;amp&semi;Render Tree页面渲染&equals;&amp;gt&semi;从输入URL到页面显示的过程？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近工作之余一直在温故js系列,想知新,想提升,以小技术点为节奏去回顾.今天突然想到回顾一下这个http知识,http知识有太多深层次需要学习,今天简要回顾,浅析下这个技术点. 主要通过五个步骤浅析这个过程,有错误的地方,烦请斧正,互相学习. 艾玛,我只是浅析一下,深析请见:http://fex.baidu.com/blog/201... 这个知识太复杂了,以前看的时候头晕O(∩_∩)O~ 1.发送URL,请求IP地址 当发送一个URL请求时,不管这个URL是Web页面的URL还是Web页面上每			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Vzwl6Rb.html" rel="bookmark" class="title">做分页器时的一点感触</a>
					<div>
						1. 问题的由来 前段时间要做一个分页器, 大概是下面这个样子: 1 2 3 ... 7 [8] 9 ... 12 13 14 只要有一点相关经验的人都知道, 这个看似简单的东西, 实现起来其实是很麻 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VzwJ0mp.html" rel="bookmark" class="title">gif动态图片制作方法</a>
					<div>
						  gif动态图片制作方法 如果大家需要在手机上制作Gif图片那就更简单了!只需下载gif快手,即可快速制作gif动图. GIF快手是一款能够在手机上快速制作GIF动画的应用,制作好的动画还可以同步分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8dLPp.html" rel="bookmark" class="title">FW MX 2004教程&lpar;10&rpar;&colon;链接设置</a>
					<div>
						教程|链接 在Fireworks中,为图像设置链接区域是靠&quot;切片&quot;或&quot;热点&quot;工具来完成,因此&quot;切片&quot;或&quot;热点&quot;区域又被称 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgYyOz.html" rel="bookmark" class="title">Photoshop鼠绘教程&colon;绘制立体感真实的NOKIA手机</a>
					<div>
						本教程介绍手机的制作方法.制作之前需要找真实的手机图片做参考,了解好手机的构造,然后分步,分层慢慢制作.制作重点是金属质感的渲染.最终效果 1.新建一个大小自定的文档,背景填充黑色,新建一个图层用钢笔 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLwJvM.html" rel="bookmark" class="title">百度权重与百度站点评级指标</a>
					<div>
						传闻百度即将推出站点评级指标了,百度自从推出站长平台以后,开放的力度不断加大,死链工具,索引量工具,站长论坛,开发中的外链工具--而最受期待的百度站点评级会是什么样的呢?   官版百度权重? 可能有很 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjAZ2p.html" rel="bookmark" class="title">关于大数据时代传统商业存储的思考：中心存储与分布式存储的对比</a>
					<div>
						今天和我们部门的老大1*1, 大家面对面沟通了一下到新的项目组的想法.而且也将我对传统商业存储在当前大数据云计算发展如火如荼的背景下,如何改进,融合交流了我的看法. 传统的商业存储,诞生于大型机,小型 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PXYjM.html" rel="bookmark" class="title">如何获取GridView编辑状态下单元格里的值？</a>
					<div>
						还在使用这样的代码吗? var txtName = grid1.Rows[e.RowIndex].Cells[0].FindControl(&quot;txtName&quot;) as TextBo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4kWAp.html" rel="bookmark" class="title">作为一个网站设计师 你真正为客户带来过价值吗？</a>
					<div>
						计算&quot;&gt; 这两天有点过度劳累,身体不是很舒服.每天没命的在纸上画思维导图,满脑子里都是各种交叉复杂的线条,最近在策划一个大型电子商C2C网站,流程虽然很清晰,但是客户想要达到的目的和意 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKkg6M.html" rel="bookmark" class="title">表格颜色渐变效果</a>
					<div>
						  效果图: 代码如下: &lt;HTML&gt; &lt;HEAD&gt; &lt;TITLE&gt;dancepower.cn&lt;/TITLE&gt; &lt;SCRIPT language= ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NvB3z.html" rel="bookmark" class="title">Linux查看文件内容、创建、查看软硬链接命令</a>
					<div>
						  命令1:查看文件内容 &quot;cat 文件名&quot; 查看文件内容,页面停留在最后. &quot;more 文件名&quot; 分页查看文件内容 回车 下一行 空格 翻页 q 退出 &qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZNW4b.html" rel="bookmark" class="title">Apache伪静态时rewrite匹配参数超过10个的处理方法</a>
					<div>
						 RewriteRule反向引用 ,引用方法是:$N (0 &lt;= N &lt;= 9)引用当前(带有若干RewriteRule指令的)RewriteCond中的与Pattern匹配的分组成分(圆 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP82gZp.html" rel="bookmark" class="title">设置快速启动栏和任务栏分栏显示</a>
					<div>
						设置快速启动栏和任务栏分栏显示 任务栏右键,取消锁定任务栏前面的√号. 在快速启动栏出现可以拉动的图形标示,如下图. 图1 鼠标放到可以拉动的图形标示上面,出现可以向两端拉动的箭头,拉动图形标示,出现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq80JOb.html" rel="bookmark" class="title">win7系统无法启动windows firewall服务的解决方法</a>
					<div>
						  我们都知道在win7系统防火墙服务中有一项windows firewall服务,该服务对于保护win7系统安全有着重要的作用,在使用win7系统的过程中,很多功能也要依赖防火墙服务启动才能正常使用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkNenb.html" rel="bookmark" class="title">C&plus;&plus;中判断一个文件是否存在的方法</a>
					<div>
						最进在写的一个系统需要保存结果数据,但是保存结果数据的时候,如果那个数据已经存在,就会无法保存,所以就需要先判断是否存在该数据,判断方法如下: #include&lt;iostream&gt; #in ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVKy6b.html" rel="bookmark" class="title">seo 网页内容对网站排名影响分析</a>
					<div>
						  在我最初接触网络营销SEO)的内容因素:的时候,我的朋友阿奇说过一句非常经典的话:网络营销,内容为王!这一句话一直影响着我,今天来和大家分析一下影响搜索引擎排名( 原则之一:内容越丰富,对SEO越 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5N8Lnz.html" rel="bookmark" class="title">C&plus;&plus;设计模式8--装饰模式&lpar;Decorator&rpar;--动态的增减功能</a>
					<div>
						新奇的IPad 快到媳妇生日了,这几天加班加点的干活,给媳妇买了个IPadMini,可把媳妇乐坏了,媳妇拿到手第一天,就跑出去跟姐妹们得瑟了一把.   [cpp] view plain copy pr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAr3OM.html" rel="bookmark" class="title">asp&period;net webform或者MVC如何判断是否登录呢？</a>
					<div>
						问题描述 就像百度,或者CSDN,右上角,如果登录了的就显示账号名,等级,消息.如果没有登录的就显示登录.并且在很多地方也进不了--================================== ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQVj7p.html" rel="bookmark" class="title">wlan-求推荐无线局域网方面的书籍</a>
					<div>
						问题描述 求推荐无线局域网方面的书籍 网络小白,目前做无线接入认证方面的开发,感觉对WLAN相关知识了解太少,搞不明白如何组网(主要是交换机,AC,AP),vlan口什么的都是一头雾水,求推荐无线局域 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRNJNb.html" rel="bookmark" class="title">C&num;使用webbrowser控件，遇到问题了~</a>
					<div>
						问题描述 publicForm1(){InitializeComponent();webBrowser1.Navigate(&quot;file:///E:/videoPlay/vlc.html?id ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjoddM.html" rel="bookmark" class="title">club域名注册总量达五万，位列新顶级域名注册第二名</a>
					<div>
						club域名是http://www.aliyun.com/zixun/aggregation/38843.html&quot;&gt;新顶级域名的一种.&quot;.club&quot;译为俱乐部,可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b220YZb.html" rel="bookmark" class="title">web前端-iframe中的内容超过了iframe的边框，如何让超过的部分显示出来？</a>
					<div>
						问题描述 iframe中的内容超过了iframe的边框,如何让超过的部分显示出来? 主页面是由三个iframe构成的,分别是顶部的iframe,左下边的导航栏iframe与右下的主iframe,三级菜 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0l6Wp.html" rel="bookmark" class="title">唐骏：我行我素 树立个人品牌</a>
					<div>
						&quot;学历门&quot;之前,唐骏以&quot;中国打工皇帝&quot;之称频繁曝光.&quot;东窗事发&quot;之后,公众对其注意力,则更多集中在诚信危机之上. 在学历门曝光之前,唐骏曾经 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLg6RLM.html" rel="bookmark" class="title">微软或在Windows Blue重拾经典开始菜单</a>
					<div>
						硅谷网讯(玉临)北京时间4月17日消息,据国外媒体报道,有消息称微软正在开发最新版本的Windows 8操作系统,很有可能会回到过去那种经典的界面,而不只是目前PC和平板电脑操作系统中的&quot;M ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBvOBz.html" rel="bookmark" class="title">Twitter创始人创办博客Medium融资2500万美元</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 据科技网站Re/Code报道,Twitter联合创始人埃文·威廉姆斯(Evan Williams)创办的博客网络创业公司Medium刚刚完成了规模为25 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWOqZz.html" rel="bookmark" class="title">轻松玩转feedsky&colon;优化和调教自己博客的RSS&lowbar;应用技巧</a>
					<div>
						现在许许多多的网民都拥有了自己的博客.播客,用来展示自己的个人信息.相伴而来的,RSS方式阅读越来越受网民的青睐.各种各样的RSS阅读器纷纷出台,现在比较流行的有bloglines.google和ya ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0gQjp.html" rel="bookmark" class="title">科达正式发布晶艳二代小间距LED屏及显控平台新品</a>
					<div>
						2017 年 4 月 12 日,InfoComm China2017 在北京国家会议中心举行.作为视听行业的盛会,这里聚集了最尖端的技术与解决方案.科达首次登陆InfoComm,发布了晶艳二代小间距L ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44x28z.html" rel="bookmark" class="title">GridView自带分页，点击下一页，本地测试正常，上传空间取不到数值</a>
					<div>
						问题描述 不知道描述的是否准确GridView自带的分页,我在本地测试一切正常,选择第一第二...等等页面,删除,修改编辑一切都正常,可是上传到服务器出现的问题是,不点击第一第二...等等页面的时候一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNm6VPb.html" rel="bookmark" class="title">云适配也做起了有关&OpenCurlyDoubleQuote;场景&rdquo;的买卖</a>
					<div>
						移动办公概念内涵广泛,需要深入企业业务场景解决实际问题,才能带来实实在在的商业价值.舟车劳顿之后,笔者聆听了云适配创始人兼CEO陈本峰针对移动办公的&quot;场景论&quot;,看云适配如何做好&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvqGYNb.html" rel="bookmark" class="title">《Objective-C入门经典》&mdash;&mdash;1&period;4节总结</a>
					<div>
						1.4 总结Objective-C入门经典本章对Objective-C语言进行了概述,并介绍了它是如何与Cocoa和Cocoa Touch框架以及Xcode开发环境一起工作的. Objective-C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3EXEgp.html" rel="bookmark" class="title">c-先序建的树，中序遍历，为啥在Push处会中断运行啊</a>
					<div>
						问题描述 先序建的树,中序遍历,为啥在Push处会中断运行啊 #include #include #include #define S_SIZE 100 #define STACKINCREMENT  ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
